# Drupal 8

### Directories

* `/usr/share/drupal8`: Application root directory
* `/etc/drupal8`: Application configuration root directory (see
  "**Configuration > Application**" section below)
* `/var/lib/drupal8`: Application runtime data (see "**Files**" section below)

## Installation

Visit [http://localhost/drupal8](http://localhost/drupal8) to step though the
Drupal 8 official upstream installer.

Drupal 8 official upstream installation documentation can be found at
any of the following locations:
* [http://localhost/drupal8/core/INSTALL.txt](http://localhost/drupal8/core/INSTALL.txt)
* `/usr/share/doc/drupal8/core/INSTALL.txt`
* `/usr/share/drupal8/core/INSTALL.txt`

## Configuration

Configuration files listed in the **RPM/Upstream-managed files** section
below will be overwritten by RPM updates.  All other configuration files
not mentioned will not be touched by the RPM.

### Application

Drupal sites directory *(`/usr/share/drupal8/sites` symlinks here)*:
`/etc/drupal8/sites`

### HTTPD

URL: [http://localhost/drupal8](http://localhost/drupal8)

Directory: `/etc/httpd/conf.d/`

### RPM/Upstream-managed files

#### Application

The following configuration files are managed upstream. Any
changes to these files will be overwritten.

* `/etc/drupal8/sites/example.*`
* `/etc/drupal8/sites/default/default.*`

#### HTTPD

The following configuration files are managed upstream. Any changes to these
files will be overwritten.  If you would like to make changes to these files,
copy them to a new file name and modify the `/etc/httpd/conf.d/drupal8.conf`
file to load your custom file(s) instead of this one.  Note that you will then
have to ensure you manually modify your custom file with upstream changes
including upstream security fixes.

* `/etc/httpd/conf.d/drupal8.htaccess`
* `/etc/httpd/conf.d/drupal8.deny-access`

## Files

**private** files = Drupal's `private://` stream wrapper

**public** files = Drupal's `public://` stream wrapper

* `/var/lib/drupal8/files`: Root files directory
* `/var/lib/drupal8/files/private`: Root **private** files directory
* `/var/lib/drupal8/files/private/{SITE}`: **{SITE}** **private** files directory
    * RPM provides `{SITE}=default`" (i.e. `/var/lib/drupal8/files/private/default`)
* `/var/lib/drupal8/files/public`: Root **public** files directory
* `/var/lib/drupal8/files/public/{SITE}`: **{SITE}** **public** files directory
    * RPM provides `{SITE}=default`" (i.e. `/var/lib/drupal8/files/public/default`)

## Modules / Profiles / Themes

Module, profile, and theme RPMs install into the following directories
respectively:

* `/usr/share/drupal8/modules`
* `/usr/share/drupal8/profiles`
* `/usr/share/drupal8/themes`

### Autoloaders

The main autoloader (`/usr/share/drupal8/autoload.php`) will automatically
load `/usr/share/drupal8/{modules,profiles,themes}/*/autoload.php` files.
