<?php
/**
 * Autoloader for drupal8 and its' dependencies
 * (created by drupal8-8.3.1-1.fc26).
 *
 * NOTE: This is an RPM-managed autoload file and is not the default
 * Drupal-provided one.  The original Drupal-provided autoload file
 * has been moved to autoload.php.dist.
 *
 * @see index.php
 * @see core/install.php
 * @see core/rebuild.php
 * @see core/modules/statistics/statistics.php
 *
 * @return \Composer\Autoload\ClassLoader
 */

$drupal8ComposerAutoloadClassLoader = require __DIR__.'/core/vendor/autoload.php';

// Required dependencies
require_once '/usr/share/php/Asm89/Stack/autoload-cors.php';
require_once '/usr/share/php/Composer/Semver/autoload.php';
require_once '/usr/share/php/Doctrine/Common/Annotations/autoload.php';
require_once '/usr/share/php/Doctrine/Common/autoload.php';
require_once '/usr/share/php/EasyRdf/autoload.php';
require_once '/usr/share/php/Egulias/EmailValidator/autoload.php';
require_once '/usr/share/php/GuzzleHttp6/autoload.php';
require_once '/usr/share/php/Masterminds/HTML5/autoload.php';
require_once '/usr/share/php/random_compat/autoload.php';
require_once '/usr/share/php/Stack/autoload-builder.php';
require_once '/usr/share/php/Symfony/Bridge/PsrHttpMessage/autoload.php';
require_once '/usr/share/php/Symfony/Cmf/Component/Routing/autoload.php';
require_once '/usr/share/php/Symfony/Component/ClassLoader/autoload.php';
require_once '/usr/share/php/Symfony/Component/Console/autoload.php';
require_once '/usr/share/php/Symfony/Component/DependencyInjection/autoload.php';
require_once '/usr/share/php/Symfony/Component/EventDispatcher/autoload.php';
require_once '/usr/share/php/Symfony/Component/HttpFoundation/autoload.php';
require_once '/usr/share/php/Symfony/Component/HttpKernel/autoload.php';
require_once '/usr/share/php/Symfony/Component/Process/autoload.php';
require_once '/usr/share/php/Symfony/Component/Routing/autoload.php';
require_once '/usr/share/php/Symfony/Component/Serializer/autoload.php';
require_once '/usr/share/php/Symfony/Component/Translation/autoload.php';
require_once '/usr/share/php/Symfony/Component/Validator/autoload.php';
require_once '/usr/share/php/Symfony/Component/Yaml/autoload.php';
require_once '/usr/share/php/Twig/autoload.php';
require_once '/usr/share/php/Zend/autoload.php';
require_once '/usr/share/php/Zend/Diactoros/autoload.php';

// Modules', profiles', and themes' autoloaders
foreach(['modules', 'profiles', 'themes'] as $projectType) {
    if ($projectTypeAutoloadFiles = glob("$projectType/*/autoload.php")) {
        foreach ($projectTypeAutoloadFiles as $projectTypeAutoloader) {
            require_once $projectTypeAutoloader;
        }
    }
}

return $drupal8ComposerAutoloadClassLoader;
